// ******************************************
// ʈʒu
//
//@ŕo
// ******************************************
using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace FormScreen
{
    public class ScreenInfo
    {
        #region // Fields________
        private Point autoScrollPosition_;
        private Point location_;
        private string screenName;
        private Size size_;
        #endregion

        #region // Methods_______
        public ScreenInfo()
        {
            this.screenName = "";
            this.location_ = new Point(0, 0);
            this.size_ = new Size(0, 0);
            this.autoScrollPosition_ = new Point(0, 0);
        }
        #endregion

        #region // Properties____

        /// <summary>
        /// AutoScrollPosition
        /// </summary>
        public Point AutoScrollPosition 
        {
            get
            {
                return this.autoScrollPosition_;
            }
            set
            {
                this.autoScrollPosition_.X = -value.X;
                this.autoScrollPosition_.Y = -value.Y;
            }

        }

        /// <summary>
        /// Location
        /// </summary>
        public Point Location
        {
            get
            {
                return this.location_;
            }
            set
            {
                this.location_ = value;
            }
        }

        /// <summary>
        /// ScreenName
        /// </summary>
        public string ScreenName
        {
            get
            {
                return this.screenName;
            }
            set
            {
                this.screenName = value;
            }
        }

        /// <summary>
        /// Size
        /// </summary>
        public Size Size
        {
            get
            {
                return this.size_;
            }
            set
            {
                this.size_ = value;
            }
        }

        #endregion
    }
}
