using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using FormScreen;

namespace FormLocation
{
    public partial class FormBase : Form
    {
        // XN[ʒu
        private Point scrolPointDefault;

        public FormBase()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            try
            {
                //s
                this.Visible = false;

                base.OnLoad(e);

                //j^𑜓x
                //int m_width = System.Windows.Forms.Screen.PrimaryScreen.Bounds.Width;
                //int m_height = System.Windows.Forms.Screen.PrimaryScreen.Bounds.Height;

                //CommonContentForm̏ݒ
                Form form = this;//this.ParentForm;
                form.AutoScroll = true;
                form.FormBorderStyle = FormBorderStyle.Sizable;
                form.StartPosition = FormStartPosition.Manual;

                ScreenInfo s_info = FormScreen.Screen.GetPreservation(this.GetType().ToString());

                if (s_info != null
                    && s_info.Size.Height > 0
                    && s_info.Size.Width > 0)
                {
                    //Form̑OʒuETCYČ
                    form.Location = s_info.Location;
                    form.Size = s_info.Size;
                    form.WindowState = FormWindowState.Normal;
                    form.AutoScrollPosition = s_info.AutoScrollPosition;
                    scrolPointDefault = new Point(s_info.AutoScrollPosition.X, s_info.AutoScrollPosition.Y);
                    form.VisibleChanged += new EventHandler(FormBase_VisibleChanged);
                }
                else
                {
                    //lݒ
                    //form.Location = new Point(0, 0);
                    //form.Size = new Size(m_width, m_height);
                    //form.WindowState = FormWindowState.Maximized;
                }


                //őOʂ
                this.BringToFront();
            }
            catch (Exception ex)
            {
#if DEBUG
                MessageBox.Show("[DEBUG]ʂ̈ʒu̕ۑɎs܂ " + ex.Message + "(" + this.GetType().ToString() + ")");
#endif
            }
            finally
            {
                this.Visible = true;
            }
        }

        protected override void OnClosing(CancelEventArgs e)
        {
            //FormʒuETCYEXN[ʒu̕ۑ
            try
            {
                Form form = this;//this.ParentForm;

                if (form != null)
                {
                    if (form.WindowState == FormWindowState.Normal)	//Normal̂Ƃ
                    {
                        ScreenInfo s_info = new ScreenInfo();
                        s_info.Location = form.Location;
                        s_info.Size = form.Size;
                        s_info.AutoScrollPosition = form.AutoScrollPosition;
                        FormScreen.Screen.SetPreservation(this.GetType().ToString(), s_info);
                    }
                }
            }
            catch (Exception ex)
            {
#if DEBUG
                MessageBox.Show("[DEBUG]ʂ̈ʒu̕ۑɎs܂ " + ex.Message + "(" + this.GetType().ToString() + ")");
#endif
            }

            base.OnClosing(e);

        }

        private void FormBase_VisibleChanged(object sender, EventArgs e)
        {
            // \
            if (this.Visible)
            {
                //OXN[ʒuČ
                this.AutoScrollPosition = new Point(scrolPointDefault.X, scrolPointDefault.Y);
                this.VisibleChanged -= new EventHandler(FormBase_VisibleChanged);
            }
        }
    }
}