// ******************************************
// ʈʒu
//
//@ŕo
// ******************************************
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

using FormScreen.OutDAL;

namespace FormScreen
{
    /// <summary>
    /// ʈʒuo͎
    /// </summary>
    public enum ScreenOutTypes
    {
        Xml
    }

    public class Screen
    {
        // Fields
        private static ScreenOutTypes screenOutType_ = ScreenOutTypes.Xml;
        private static Hashtable hashtable_;

        // Methods
        static Screen()
        {
            hashtable_ = new Hashtable();
            Initialize();
        }
        public Screen()
        {

        }

        /// <summary>
        /// ʈʒuoType
        /// </summary>
        public static ScreenOutTypes ScreenOutType
        {
            get
            {
                return screenOutType_;
            }
            set
            {
                screenOutType_ = value;
            }
        }

        /// <summary>
        /// 
        /// </summary>
        private static void Initialize()
        {
            ReadPreData();
        }

        /// <summary>
        /// Ỏʈʒuǂ݂܂
        /// </summary>
        private static void ReadPreData()
        {
            if (ScreenOutType == ScreenOutTypes.Xml)
            {
                hashtable_ = XmlOutDAL.ReadXMLFile();
            }
        }

        /// <summary>
        /// ŐV̉ʏ܂
        /// </summary>
        private static void WriteNewData()
        {
            if (ScreenOutType == ScreenOutTypes.Xml)
            {
                XmlOutDAL.WriteXMLFile(hashtable_);
            }
        }

        /// <summary>
        /// Ỏʏǂ
        /// </summary>
        /// <param name="screenName"></param>
        /// <returns></returns>
        public static ScreenInfo GetPreservation(string screenName)
        {
            ScreenInfo info = null;
            if ((hashtable_ != null) && hashtable_.ContainsKey(screenName))
            {
                info = hashtable_[screenName] as ScreenInfo;
            }

            return info;
        }

        /// <summary>
        /// ŐV̉ʏ
        /// </summary>
        /// <param name="screenName"></param>
        /// <param name="sInfo"></param>
        public static void SetPreservation(string screenName, ScreenInfo sInfo)
        {
            sInfo.ScreenName = screenName;
            if (hashtable_ == null)
            {
                hashtable_ = new Hashtable();
                hashtable_.Add(screenName, sInfo);
            }
            else if (hashtable_.ContainsKey(screenName))
            {
                hashtable_[screenName] = sInfo;
            }
            else
            {
                hashtable_.Add(screenName, sInfo);
            }

            WriteNewData();
        }
    }
}
